Status: Closed Start date: 2019-12-24
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Enhancement

Target version: 222

Description

HUD Weapon FOV 4:3 adaptation

If HUD model is designed for 16:9 resolution, it will display with incorrect fov, when using 4:3 resolution, so if the user plays this in
16:9 with rend-model-fov 95, it will display correct fov, but when using 4:3, user will be forced to use rend-model-fov 85 or
rend-model-fov 80 to make same "forward-backward axis" position of the HUD model

In other words, while 16:9 users will use rend-model-fov 95 (for 16:9-based models), 4:3 users should use rend-model-fov 85 or 80
for the same models

So:

1) | suggest to fix this, so each user (both 16:9 and 4:3) will use same rend-model-fov 95 value for each such model

2) If you need models for testing, we can discuss this in private chat (because | cannot upload such models to global public sharing
for now, so only can give them to you via PM for now). For example, this issue is not reproduced with veirdo's serpent staff and wand

2.0, so you cannot (as | understand) test this issue with them, so other models are required (which | can provide via PM if needed)

NOTE: Issue was created because of this https://tracker.dengine.net/issues/22344#note-12 discussion

Related issues:
Related to Bug #2234: Fov 160 + near clip plane issues with MD2 and FBX HUD M... Closed 2017-04-03
Related to Feature #2405: Per-model FOV for rendering psprite models Closed 2020-01-22

Associated revisions

Revision 8515281 - 2019-12-28 22:23 - skyjake

Renderer: Adjust fixed weapon FOV for 4:3 view aspect

IssuelD #2379

Revision 9a6842e9 - 2020-01-17 19:41 - skyjake

Renderer: Adjust fixed weapon FOV for 4:3 view aspect

IssuelD #2379

History

#1 - 2019-12-25 14:00 - skyjake
- Related to Bug #2234: Fov 160 + near clip plane issues with MD2 and FBX HUD Models added

#2 - 2019-12-27 16:34 - skyjake
- Category set to Enhancement

- Target version set to 2.3

#3 - 2019-12-28 22:26 - skyjake
- Status changed from New to In Progress

- % Done changed from 0 to 50

I've made a possible solution for this issue. Please test with the next unstable build (3283 or later): keep the fixed FOV value at the default 95 and see
how your models look in 4:3.
#4 - 2020-01-17 13:54 - theleo_ua
tried on 2.3 Unstable [#3302] x64 and it works ok for me

#5 - 2020-01-17 16:41 - skyjake
- % Done changed from 50 to 100

#6 - 2020-01-17 19:42 - skyjake

- Target version changed from 2.3 to 2.2.2

#7 - 2020-01-18 11:43 - skyjake

- Status changed from In Progress to Resolved

#8 - 2020-01-22 20:38 - skyjake
- Related to Feature #2405: Per-model FOV for rendering psprite models added

#9 - 2020-02-01 17:05 - skyjake

- Status changed from Resolved to Closed
